import { NextRequest, NextResponse } from 'next/server';
import { ResultDto } from '@/types/response/common';
import { fetchJson } from '@/lib/utils/server';

export async function GET(_request: NextRequest, { params }: { params: Promise<{ path: string[] }> }) {
	const { path } = await params;
	const endpoint = `/api/document/${path.join('/')}`;

	const res: ResultDto = await fetchJson(endpoint, {
		method: 'GET'
	});

	return NextResponse.json(res);
}